Bug 1288539 - [Tracker][RFE] Provide man pages for all Satellite 6 commands and config files
[Tracker][RFE] Provide man pages for all Satellite 6 commands and config files
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation (Show other bugs)
6.1.4
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Stephen Wadeley
Russell Dickenson
: FutureFeature, Tracking
Depends On: 1420341 1420349 1420353 1457176 1541149 1505481
Blocks: 260381
  Show dependency treegraph
 
Reported: 2015-12-04 09:26 EST by daniel
Modified: 2018-02-16 08:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1420341 1420349 1420353 1457176 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description daniel 2015-12-04 09:26:43 EST
1. Proposed title of this feature request  
       Provide man pages for all satellite 6 commands and config files
      
      
    3. What is the nature and description of the request?  
     Some commands like katello-installer, capsule-certs-gen, hammer,...
     do have no man page but only --help or --full-help and in case 
     documentation for $config file is needed one has to look in online
     documentation, sometimes even upstream which makes it hard to understand
     which value is provided by Red Hat then

    4. Why does the customer need this? (List the business requirements here)  
     Aside the face that man pages are good practice to have for _all_
     commands _and_ config files it is not always possible to have a look at
     documentation on line, further on documentations and --help pages are  
     often lacking examples which normally can be found in man pages. Especially 
     for conf* files it is sometime not easy to understand what setting should/could be 
     used 
      
      
    5. How would the customer like to achieve this? (List the functional requirements here)  
    man pages for all commands provided by satellite should be available as well as
    for configuration files. In order to get an interim solution it would be one possibility
    to have man pages pointing to web pages where detailed information is available which
    would at least for config files help to understand them better
      
    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
       man $command ; man $config_file
      
    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
     Found none
      
    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
     no
      
    9. Is the sales team involved in this request and do they have any additional input?  
     no
      
      
    10. Would the customer be able to assist in testing this functionality if implemented?  
     yes

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 2 Stephen Wadeley 2017-01-28 05:54:42 EST
Hello Bryan

What is the correct BZ component for requesting man pages form engineering?

Should we turn this into a tracker bug and then clone for every package containing a command?

Thank you
Comment 3 Bryan Kearney 2017-02-07 10:42:33 EST
We dont really have a good doc for this. Ack to using this as a tracker.
Comment 4 Stephen Wadeley 2017-02-08 08:46:13 EST
Bug 1420341 - [RFE] Provide man pages for satellite-installer
Comment 5 Stephen Wadeley 2017-02-08 08:55:39 EST
Hammer has only one very brief man page with a usage message.
Comment 6 Stephen Wadeley 2017-02-08 09:02:06 EST
Bug 1420349 - [RFE] Provide man page for katello-certs-check
Comment 7 Stephen Wadeley 2017-02-08 09:08:45 EST
Bug 1420353 - [RFE] Provide man page capsule-certs-generate

Note You need to log in before you can comment on or make changes to this bug.